# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "daemon_controller"
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Hongli Lai"]
  s.date = %q{2012-02-04}
  s.description = "A library for robust daemon management."
  s.email = "hongli@phusion.nl"
  s.files = ["README.markdown", "LICENSE.txt", "daemon_controller.gemspec", "lib/daemon_controller.rb", "lib/daemon_controller/lock_file.rb", "lib/daemon_controller/spawn.rb", "lib/daemon_controller/version.rb", "spec/test_helper.rb", "spec/daemon_controller_spec.rb", "spec/echo_server.rb", "spec/unresponsive_daemon.rb"]
  s.homepage = "https://github.com/FooBarWidget/daemon_controller"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.3.7.1"
  s.summary = "A library for implementing daemon management capabilities"

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
    else
    end
  else
  end
end
